LINUX.ORG.RU

Это сейчас постоянно такое счастье будет?

 , ,


0

2

Чтобы поставить скайп, система мне предложила вот так вот дописать package.use: тыц

Я конечно понимаю, Ъ-мультилиб и всё такое, но не слишком ли это для одной програмулины?

Или может быть я что-то делаю не так и уважаемый ALL мне подскажет?

★★★★★

но не слишком ли это для одной програмулины?

Программа 32-битная? Да, 32-битная. Ей нужны 32-битные версии её зависимостей? Да, нужны. Ну, а теперь посмотрите зависимости skype`а, например в deb пакете. И сопоставьте с выводом emerge.

Постоянно такое счастье будет?

Можете не ставить Skype, ну либо надеяться, что разработчики Skype уменьшат число его зависимостей. Ну либо поставить 32-битную версию Gentoo, ну либо запускать Skype из 32-битного chroot.

А так, что вам собственно не нравится, до этого вы ставили пакет emul-linux-x86-*, в которых содержались бинарные 32-битные версии указанных выше программ. Сейчас у вас эти же программы будут собираться из исходников. Ну либо можете размаскировать emul-linux-x86-* пакеты, а позднее собирать их самостоятельно и поддерживать.

kostik87 ★★★★★ ()

Можешь, конечно, сделать этот флаг глобально, чего уж :)

Deleted ()
Ответ на: комментарий от xorik

Не преувеличивайте, не полсистемы. Ну и это закономерное следствие соответствующей новости. Вы же их читаете?

kostik87 ★★★★★ ()
Последнее исправление: kostik87 (всего исправлений: 1)

переходи на x86, там такой хрени нет

armbox ()

Или может быть я что-то делаю не так и уважаемый ALL мне подскажет?

Ставишь скайп.

Stil ★★★★★ ()

Обожаю ЛОР.

Один полезный коммент, остальные написали что мне не нужно: skype, gentoo, x86_64.

xorik ★★★★★ ()

Или может быть я что-то делаю не так и уважаемый ALL мне подскажет?

Не переходишь на

Ъ-мультилиб

Deleted ()

Один раз все эти пакеты соберёшь и всё.

BattleCoder ★★★★★ ()

но не слишком ли это для одной програмулины

раньше было тож самое, только одним пакетом:)

fang90 ★★★★★ ()

Типа того, да.

emerge -epv skype|grep ABI_X86=\"32|wc -l

104

Dude ()
Ответ на: комментарий от xorik

значит придётся пересобирать пол-системы один раз из-за одной 32-битной программы

Любители зондов в одном месте - они такие.

anonymous ()
Ответ на: комментарий от DeadEye

алкан, влез в топик, походу внимания не хватает, тянет c кем-нибудь побрехать...

armbox ()
Ответ на: комментарий от haku

hint: viber 64-х битный есть

чел ни как не может от одной дрянной заразы избавиться (skype) ..

..а ты ему подсказываешь другую (более свежую, но такую же дрянную) заразу.

молодец, чо! норм :-)

--------------------------------------------------

вот вы умники такие — просто офигеть! раньше говорили "но как же я буду писать сообщения из Jabber на Skype? мне же нужно именно Skype, так как там все мои друзья!"

а теперь когда рекламируете Viber — то вам в голову мысль не приходит мысль, о том что — как же вы будете из Viber писать сообщения на Skype? :-) или это правило на Viber якобы не распространяется? :-D

вы вот готовы окунуться в заразное дерьмо с головой — прям легко, сразу и без лишний вопросов! а когда начинаются проблемы отходняка, то возникаются отмазки типа "ну мы же не виноваты в том что мы такие глупенькие и не догадались подумать на один шаг наперёд!"

когда с Viber будут возникать проблемы похлеще (ну или такиеже) как со Skype — не стыдно ли вам будет перед теми людьми кого вы на этот Viber заманили? (или если вы ни кого не заманивали — то с кем же вы общаться собираетесь по Viber? сами с собой?)

user_id_68054 ★★★★★ ()
Последнее исправление: user_id_68054 (всего исправлений: 2)
Ответ на: комментарий от user_id_68054

Люди, жрущие всякое наподобие вайберов и ватсапов и не заметят, если будут какие-то проблемы или неудобства.

a1batross ★★★★★ ()
Ответ на: комментарий от haku

проприетарным GSM-ом тоже не пользуешься?

представь что телефоны Samsung могут звонить только на телефоны Samsung, а телефоны HTC могут звонить только на HTC :-) ..

вот в этом случае можно было *бы* говоить что уровень проприетарности GSM — настолько же проприетарный как в Skype\Viber .

user_id_68054 ★★★★★ ()
Ответ на: комментарий от Valkeru

а как с форума писать на форум? :-)

я вообще-то чтобы писать на форумы — использую web-браузер.

или ты предлагаешь мне используя *тот_же_самый* web-браузер (который я использую для того чтобы писать форум Лор) — теперь использовать +ещё_и для другого форума? тыг это вполне нормальная процедура, ничего особенного :)

вот смотри:

web-браузер — это клиентская программа для web-форума.

skype-client — это клиентская программа для skype.

viber-client — это клиентская программа для viber.

можешь через viber-client отправить сообщение на skype ?

ну или вообще через какой-нибудь клиент (неважно какой) отправить сообщение на skype (?), кроме использования официального говноклиента?

а можешь через телефон неизвестной китайской фирмы — позвонить (по GSM) — своему другу?

ды даже сраный Firefox-Hello-чат — можно использовать без Firefox (например если скомпилировать однодневный форк программы Firefox)

user_id_68054 ★★★★★ ()
Последнее исправление: user_id_68054 (всего исправлений: 6)

Я конечно понимаю, Ъ-мультилиб и всё такое, но не слишком ли это для одной програмулины?

Смирись. Мне пришлось переползать когда wine стал настойчиво требовать Ъ-мультилиб. Потратил день. wine стал работать лучше, шрифты починились, quakelive стал просто реактивный.

no-such-file ★★★★★ ()
Ответ на: комментарий от no-such-file

Я уже пересобрал всё. Из плюсов: появился флаг apulse, и теперь на альсе звук работает. Но Qt в скайпе не подхватил мою gtk тему (раньше работал)

xorik ★★★★★ ()
Ответ на: комментарий от Harald

более правильным был бы вариант закопать скайп

anonymous ()
Ответ на: комментарий от BattleCoder

может у них там проприетарные библиотеки 32 бит онли в зависимостях, аффтары которых ушли в мир вечной охоты и не поделились кодом :)

Harald ★★★★★ ()
Ответ на: комментарий от BattleCoder

А пересобрать под 64 бита - что в этом такого-то?

Как вариант - не могут :) Как ещё более дурацкий вариант - не умееют :D

А, если серьёзно, скорее всего и правда не могут - выше про библиотеки предполагали.

dhameoelin ★★★★★ ()
Ответ на: комментарий от edigaryev

Tox - пользоваться невозможно.

turtle ~ # eix jitsi
Совпадений не найдено.
turtle_bazon ★★★★★ ()
Последнее исправление: turtle_bazon (всего исправлений: 1)
Ответ на: комментарий от dhameoelin

Скайп в чруте? Ну да, это альтернатива установке скайпа. Я думал, ты про сам скайп и хотел узнать альтернативы скайпу.

turtle_bazon ★★★★★ ()
Ответ на: комментарий от turtle_bazon

Я думал, ты про сам скайп и хотел узнать альтернативы скайпу.

Я, наверное, тебе открою Америку, но, если тебе нужен скайп, а не «произвольная программа для звонков через интернет», то тебе нужен скайп и ставить придётся скайп, прости уж за тавтологию.

А, вот, об альтернативных путях установки сего шедевра программирования я бы поговорил. Кстати, почему в gentoo x86_64 ещё не запилили ебилд специального скайпочрута со всем готовым?

dhameoelin ★★★★★ ()
Вы не можете добавлять комментарии в эту тему. Тема перемещена в архив.